=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.99.0~),
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadi-dev (>= 4:22.12.0~),
-               libkf5akonadicontact-dev (>= 4:22.12.0~),
-               libkf5akonadisearch-dev (>= 4:22.12.0~),
+               libkf5akonadi-dev (>= 4:22.12.2~),
+               libkf5akonadicontact-dev (>= 4:22.12.2~),
+               libkf5akonadisearch-dev (>= 4:22.12.2~),
                libkf5calendarcore-dev (>= 5:5.99.0~),
-               libkf5calendarsupport-dev (>= 4:22.12.0~),
+               libkf5calendarsupport-dev (>= 4:22.12.2~),
                libkf5completion-dev (>= 5.99.0~),
                libkf5config-dev (>= 5.99.0~),
                libkf5configwidgets-dev (>= 5.99.0~),
@@ -27,12 +27,12 @@
                libkf5itemmodels-dev (>= 5.99.0~),
                libkf5itemviews-dev (>= 5.99.0~),
                libkf5kio-dev (>= 5.99.0~),
-               libkf5libkdepim-dev (>= 4:22.12.0~),
-               libkf5libkleo-dev (>> 4:22.12.0~),
-               libkf5messageviewer-dev (>= 4:22.12.0~),
-               libkf5mime-dev (>= 22.12.0~),
+               libkf5libkdepim-dev (>= 4:22.12.2~),
+               libkf5libkleo-dev (>> 4:22.12.2~),
+               libkf5messageviewer-dev (>= 4:22.12.2~),
+               libkf5mime-dev (>= 22.12.2~),
                libkf5textwidgets-dev (>= 5.99.0~),
-               libkf5webengineviewer-dev (>= 4:22.12.0~),
+               libkf5webengineviewer-dev (>= 4:22.12.2~),
                libkf5widgetsaddons-dev (>= 5.99.0~),
                libkf5xmlgui-dev (>= 5.99.0~),
                libxapian-dev,
