=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -11,11 +10,11 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.99.0~),
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadi-dev (>= 4:22.12.2~),
-               libkf5akonadicontact-dev (>= 4:22.12.2~),
-               libkf5akonadisearch-dev (>= 4:22.12.2~),
+               libkf5akonadi-dev (>= 4:22.12.3~),
+               libkf5akonadicontact-dev (>= 4:22.12.3~),
+               libkf5akonadisearch-dev (>= 4:22.12.3~),
                libkf5calendarcore-dev (>= 5:5.99.0~),
-               libkf5calendarsupport-dev (>= 4:22.12.2~),
+               libkf5calendarsupport-dev (>= 4:22.12.3~),
                libkf5completion-dev (>= 5.99.0~),
                libkf5config-dev (>= 5.99.0~),
                libkf5configwidgets-dev (>= 5.99.0~),
@@ -27,12 +26,12 @@
                libkf5itemmodels-dev (>= 5.99.0~),
                libkf5itemviews-dev (>= 5.99.0~),
                libkf5kio-dev (>= 5.99.0~),
-               libkf5libkdepim-dev (>= 4:22.12.2~),
-               libkf5libkleo-dev (>> 4:22.12.2~),
-               libkf5messageviewer-dev (>= 4:22.12.2~),
-               libkf5mime-dev (>= 22.12.2~),
+               libkf5libkdepim-dev (>= 4:22.12.3~),
+               libkf5libkleo-dev (>> 4:22.12.3~),
+               libkf5messageviewer-dev (>= 4:22.12.3~),
+               libkf5mime-dev (>= 22.12.3~),
                libkf5textwidgets-dev (>= 5.99.0~),
-               libkf5webengineviewer-dev (>= 4:22.12.2~),
+               libkf5webengineviewer-dev (>= 4:22.12.3~),
                libkf5widgetsaddons-dev (>= 5.99.0~),
                libkf5xmlgui-dev (>= 5.99.0~),
                libxapian-dev,
@@ -50,7 +49,7 @@
 Package: akonadiconsole
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: management and debugging console for akonadi
  Akonadi Console is a useful utility that can be used to explore or manage
  Akonadi. Since this utility exposes Akonadi internals, it is very useful for
