=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 
 include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
+
+add_definitions(-DTRANSLATION_DOMAIN=\"akonadiconsole\")
 
 add_subdirectory(icons)
 
@@ -125,47 +127,48 @@
     )
 
 
-
-ecm_qt_declare_logging_category(libakonadiconsole_SRCS HEADER akonadiconsole_debug.h IDENTIFIER AKONADICONSOLE_LOG CATEGORY_NAME org.kde.pim.akonadiconsole
+add_library(libakonadiconsole ${libakonadiconsole_SRCS})
+
+ecm_qt_declare_logging_category(libakonadiconsole HEADER akonadiconsole_debug.h IDENTIFIER AKONADICONSOLE_LOG CATEGORY_NAME org.kde.pim.akonadiconsole
         OLD_CATEGORY_NAMES log_akonadiconsole
         DESCRIPTION "akonadiconsole (akonadiconsole)" EXPORT AKONADICONSOLE)
 
 
 
-add_library(libakonadiconsole ${libakonadiconsole_SRCS})
 if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
     set_target_properties(libakonadiconsole PROPERTIES UNITY_BUILD ON)
 endif()
 generate_export_header(libakonadiconsole BASE_NAME libakonadiconsole)
 
 target_link_libraries(libakonadiconsole
-    KF5::AkonadiCore
-    KF5::AkonadiPrivate
-    KF5::AkonadiWidgets
-    KF5::AkonadiXml
-    KF5::Mime
-    KF5::Contacts
-    KF5::CalendarCore
+    KPim${KF_MAJOR_VERSION}::AkonadiCore
+    KPim${KF_MAJOR_VERSION}::AkonadiPrivate
+    KPim${KF_MAJOR_VERSION}::AkonadiWidgets
+    KPim${KF_MAJOR_VERSION}::AkonadiXml
+    KPim${KF_MAJOR_VERSION}::Mime
+    KF${KF_MAJOR_VERSION}::Contacts
+    KF${KF_MAJOR_VERSION}::CalendarCore
     Qt::Sql
-    KF5::Completion
-    KF5::ItemViews
-    KF5::TextWidgets
-    KF5::XmlGui
-    KF5::Libkdepim
+    KF${KF_MAJOR_VERSION}::Completion
+    KF${KF_MAJOR_VERSION}::ItemViews
+    KF${KF_MAJOR_VERSION}::TextWidgets
+    KF${KF_MAJOR_VERSION}::XmlGui
+    KPim${KF_MAJOR_VERSION}::Libkdepim
     )
 
 if (ENABLE_SEARCH)
     target_link_libraries(libakonadiconsole
-        KF5::AkonadiSearchCore
-        KF5::AkonadiSearchXapian
+        KPim${KF_MAJOR_VERSION}::AkonadiSearchCore
+        KPim${KF_MAJOR_VERSION}::AkonadiSearchXapian
     )
 endif()
 
 if (ENABLE_CONTENTVIEWS)
     target_link_libraries(libakonadiconsole
-        KF5::AkonadiContact
-        KF5::CalendarSupport
-        KF5::MessageViewer
+        KPim${KF_MAJOR_VERSION}::AkonadiContact
+        KPim${KF_MAJOR_VERSION}::ContactEditor
+        KPim${KF_MAJOR_VERSION}::CalendarSupport
+        KPim${KF_MAJOR_VERSION}::MessageViewer
     )
 endif()
 
@@ -188,9 +191,9 @@
 
 target_link_libraries(akonadiconsole
     libakonadiconsole
-    KF5::DBusAddons
-    KF5::CoreAddons
-    KF5::Crash
+    KF${KF_MAJOR_VERSION}::DBusAddons
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::Crash
 )
 
 install(TARGETS akonadiconsole ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
